﻿using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Repository
{
    public interface IRepository<T>
    {
        void Create(T entity);
        void Update(T entity);
        T Read(int id);
        void Delete(T entity);
        IEnumerable<T> SelectAll();
    }
}