﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Repository
{
    public class RepositoryFactory  
    {
        public static IRepository<T> Create<T>()
        {
            var repo = new Repository<T>();
            var dinaProx = new DynamicProxy<IRepository<T>>(repo);
            return dinaProx.GetTransparentProxy() as IRepository<T>;
        }
    }
}
